<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head><title>Home Page</title></head>
<body>
<h1>Welcome to <span th:text="${appName}">Our App</span></h1>
<p>How many players?</p>
<form method="post">
    <input type="number" pattern='[0-9]' name="nbPlayers"/>
    <button type="submit">Submit</button>
</form>
</body>
</html>